org.apache.uima.fit.validation

## Class ValidationResult

- java.lang.Object
- - org.apache.uima.fit.validation.ValidationResult

-     public class ValidationResult
      extends Object

  Individual result from a CAS validation check.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValidationResult.Severity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationResult(Object source, ValidationResult.Severity severity, String format, Object... args)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationResult` | `debug(Object source, String format, Object... args)`
    `boolean` | `equals(Object other)`
    `static ValidationResult` | `error(Object source, String format, Object... args)`
    `String` | `getMessage()`
    `ValidationResult.Severity` | `getSeverity()`
    `String` | `getSource()`
    `int` | `hashCode()`
    `static ValidationResult` | `info(Object source, String format, Object... args)`
    `String` | `toString()`
    `static ValidationResult` | `trace(Object source, String format, Object... args)`
    `static ValidationResult` | `warn(Object source, String format, Object... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationResult

          public ValidationResult(Object source,
                                  ValidationResult.Severity severity,
                                  String format,
                                  Object... args)

  - ### Method Detail

    - #### getSource

          public String getSource()

    - #### getMessage

          public String getMessage()

    - #### getSeverity

          public ValidationResult.Severity getSeverity()

    - #### error

          public static ValidationResult error(Object source,
                                               String format,
                                               Object... args)

    - #### warn

          public static ValidationResult warn(Object source,
                                              String format,
                                              Object... args)

    - #### info

          public static ValidationResult info(Object source,
                                              String format,
                                              Object... args)

    - #### debug

          public static ValidationResult debug(Object source,
                                               String format,
                                               Object... args)

    - #### trace

          public static ValidationResult trace(Object source,
                                               String format,
                                               Object... args)

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.